<template lang="pug">
.card
	.card-content
		.content.has-text-centered
			p.heading.is-size-5 {{$t("default.member")}}
		template( v-for='(prop, i) in fields' )
			.level.is-marginless
				.level-left
					.level-item
						p.subtitle.is-6 {{$t(`default.${prop}`)}}
				.level-right
					.level-item
						p.value.is-flex.is-align-items-center.is-justify-content-flex-end( :class='{ "is-empty": !member[prop] }' @click='copy(member[prop])' ) 
							span {{member[prop] || "-"}}
							span.icon.is-flex.ml-1( v-if='member[prop]' ): i.fa-solid.fa-copy
			hr.my-2
</template>

<script setup>
import { useI18n } from "vue-i18n"
import { useToast } from "vue-toastification"

const props = defineProps({
	member: Object
})

const toast = useToast()
const { t } = useI18n()

let fields = [
	"name", "email", "phone", "extra_phone"
]

const copy = async val => {
	if (!val) return

	try {
		await navigator.clipboard.writeText(val)
		toast.success(t("default.copied", { text: val }))
	} catch(err) {
		toast.error(t("default.cannot_copy"))
	}
}
</script>

<style lang="scss" scoped>
.value {
	&:not(.is-empty) {
		opacity: .9;
		transition: all .2s ease-in-out;
		cursor: pointer;
		&:hover {
			opacity: 1;
		}
	}
	&.is-empty {
		pointer-events: none;
	}
}
</style>